/* soundmosaic, Copyright (c) 2001-2007 Steven Hazel <sah@thalassocracy.org>
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or
 * implied warranty.
 */
#ifndef __RESAMPLER_H__
#define __RESAMPLER_H__

#include <sys/types.h>

void resample(int actual_rate,
              int virtual_rate,
              const int16_t *inbuf,
              int16_t **outbuf,
              int len,
              int *new_len);

#endif //__RESAMPLER_H__
